Bug 13222 - Accessors for import_record.status have variable names suggesting overlay_status
Summary: Accessors for import_record.status have variable names suggesting overlay_status
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-07 15:04 UTC by Olli-Antti Kivilahti
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13222 - Accessors for import_record.status have variable names suggesting overlay_status (1.74 KB, patch)
2014-11-07 15:08 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 13222 - Accessors for import_record.status have variable names suggesting overlay_status (1.80 KB, patch)
2014-11-12 14:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13222 - Accessors for import_record.status have variable names suggesting overlay_status (1.87 KB, patch)
2014-11-13 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2014-11-07 15:04:18 UTC
While trying to figure out what overlay_status is used for, noticed that SetImportRecordStatus() and GetImportRecordStatus() are named all wrong.
Obviously sloppily copypasted from SetImportRecordOverlayStatus();

This minor patch adds some make-up to the codebase.

While were at it, it would be nice to get some more extensive function documentation about what they are meant to do?
Comment 1 Olli-Antti Kivilahti 2014-11-07 15:08:34 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-11-12 14:00:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-11-13 21:10:46 UTC
Created attachment 33538 [details] [review]
[PASSED QA] Bug 13222 - Accessors for import_record.status have variable names suggesting overlay_status

TODO:: Somebody who knows what these are about could write some documentation about it.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-01-15 00:38:13 UTC
Patch pushed to master.

Thanks Olli!